aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorkballou <kballou@devnulllabs.io>2016-08-22 11:46:27 -0600
committerkballou <kballou@devnulllabs.io>2016-08-30 11:16:35 -0600
commit9b914d5c311155dcdca75c38d091604aa87ee463 (patch)
treee14f112ddc3e9766db53a5e03f8cdbfe5ba03955
parent8552ed40c52be8d8b372132984f104f5cddeb7fc (diff)
downloadbugwarrior-9b914d5c311155dcdca75c38d091604aa87ee463.tar.gz
bugwarrior-9b914d5c311155dcdca75c38d091604aa87ee463.tar.xz
Add bugwarrior ebuild
-rw-r--r--dev-python/bugwarrior/Manifest3
-rw-r--r--dev-python/bugwarrior/bugwarrior-1.4.0.ebuild42
-rw-r--r--dev-python/bugwarrior/metadata.xml16
3 files changed, 61 insertions, 0 deletions
diff --git a/dev-python/bugwarrior/Manifest b/dev-python/bugwarrior/Manifest
new file mode 100644
index 0000000..e2d05da
--- /dev/null
+++ b/dev-python/bugwarrior/Manifest
@@ -0,0 +1,3 @@
+DIST bugwarrior-1.4.0.tar.gz 78665 SHA256 bce807256c174c9f07bb269905e73937fa140c654fe3b1980cf16abefe2e7fca SHA512 c038169c497aee5f6073de221dc3be9f3dbe640e7b6c3b2a1ef34a442f44d5eafe0ce7e12ff782f0df8b88aadfcd30727d99b6661686114c27bfd93a58cd55d5 WHIRLPOOL f5699260f2c909d9c1f63bfd98e9ee42230e483cc647f3201cbe39bb50023769be50d516b3e254d09cd13f28151e973bc849c15811220e3af19557f37d86d182
+EBUILD bugwarrior-1.4.0.ebuild 1209 SHA256 9ef1b395a80dbbdf4e0a4563588ab848adcfc72b301800d269d9e50f787ea383 SHA512 69110df49752f77da6c2625dd5a759ab0432115a63aa09afd4f33974acbec3a614d681b029a590b64a68d044fe2bcca1fd1cd07a71bd9683625dafa8651fe792 WHIRLPOOL 6a5e2f6bb9d9bf5c0c71e8504f2b1c4de37752c67445536902fdef2b87d93939cc404df49d8198150f57df6bc434b2def6bd0cfa3d29db3246c172b8a555265c
+MISC metadata.xml 551 SHA256 4b49d2f58f9eb3e14f615badcc924be5b5537d043e3790a545aee227119f0385 SHA512 918c9f84a9f0afbfec6743cc4880f2ae5eed7d5672ee5ecaa6d5d1d4999135b8c2085749ea31838e4a56bced93c9794e81101c1040a9a3a0c83f407a604fcf2a WHIRLPOOL 3cbc1f4dfaca21d01845000e92c7e66b1dc7a042734c4c94e14c0cf264abf4c5ffe825a33a67345fe16e2cc4a310347d5c0e56d897b20cfdfd7a249f68bb4c05
diff --git a/dev-python/bugwarrior/bugwarrior-1.4.0.ebuild b/dev-python/bugwarrior/bugwarrior-1.4.0.ebuild
new file mode 100644
index 0000000..1ec69d2
--- /dev/null
+++ b/dev-python/bugwarrior/bugwarrior-1.4.0.ebuild
@@ -0,0 +1,42 @@
+# Copyright 2016 Kenny Ballou
+# Distributed under the terms of the GNU General Public License v3
+# $Id$
+
+EAPI=6
+PYTHON_COMPAT=(python2_7)
+
+inherit distutils-r1
+
+MY_P=${PN}_${PV}
+
+DESCRIPTION="Sync github, bitbucket, and trac issues with taskwarrior"
+HOMEPAGE="https://github.com/ralphbean/bugwarrior"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE="test"
+
+RDEPEND="dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/offtrac[${PYTHON_USEDEP}]
+ dev-python/python-bugzilla[${PYTHON_USEDEP}]
+ >=dev-python/taskw-0.8[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ dev-python/keyring[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ >=dev-python/jinja-2.7.2[${PYTHON_USEDEP}]
+ >=dev-python/dogpile-cache-0.5.3[${PYTHON_USEDEP}]
+ >=dev-python/lockfile-0.9.1[${PYTHON_USEDEP}]
+ dev-python/click[${PYTHON_USEDEP}]
+ dev-python/pyxdg[${PYTHON_USEDEP}]
+ test? ( dev-python/nose[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/responses[${PYTHON_USEDEP}] )"
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]"
+
+python_test() {
+ nosetests || die
+}
diff --git a/dev-python/bugwarrior/metadata.xml b/dev-python/bugwarrior/metadata.xml
new file mode 100644
index 0000000..daf83f6
--- /dev/null
+++ b/dev-python/bugwarrior/metadata.xml
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>kballou@devnulllabs.io</email>
+ <name>Kenny Ballou</name>
+ </maintainer>
+ <longdescription lang="en">
+ bugwarrior is a command line utility for updating your local
+ taskwarrior database from your forge issue trackers.
+ </longdescription>
+ <upstream>
+ <remote-id type="pypi">bugwarrior</remote-id>
+ <remote-id type="github">ralphbean/bugwarrior</remote-id>
+ </upstream>
+</pkgmetadata>